import 'dart:typed_data';
import 'package:flutter/material.dart';
import 'package:view_helper/src/Helpers/Services/StorageService.dart';

class ImagesViewController extends StatefulWidget {
  final List images;
  final Widget Function(bool, List<String>, Function,  Function) child;

  ImagesViewController({
    this.images,
    this.child
  });

  @override
  _ImagesViewControllerState createState() => _ImagesViewControllerState();
}

class _ImagesViewControllerState extends State<ImagesViewController> {
  List<String> _images = List<String>();

  bool _isLoading = false;

  _addPhoto() async {
    final Uint8List image = await StorageService.image();

    if (image != null) {
      setState(() {
        _isLoading = true;
      });

      final String url = await StorageService.uploadImage(image);

      setState(() {
        _images.add(url);

        _isLoading = false;
      });
    }
  }

  _removePhoto(String picture) {
    setState(() {
      _images.remove(picture);
    });
  }

  @override
  void initState() {
    // TODO: implement initState
    super.initState();

    _images = widget.images ?? [];
  }

  @override
  Widget build(BuildContext context) {
    return widget.child(_isLoading, _images, _addPhoto, _removePhoto);
  }
}
