import 'dart:math';
import 'dart:typed_data';
import 'package:firebase_storage/firebase_storage.dart';
import 'package:image_picker/image_picker.dart';

class StorageService {
  static Future<Uint8List> image() async {
    final PickedFile file = await ImagePicker().getImage(source: ImageSource.gallery);

    return file.readAsBytes();
  }

  static Future<String> uploadImage(Uint8List image) async {
    final int random = Random().nextInt(1000000);

    final filePath = "images/$random.jpg";

    final StorageReference reference = FirebaseStorage.instance.ref().child(filePath);

    final StorageTaskSnapshot taskSnapshot = await reference.putData(image).onComplete;

    final String url = await taskSnapshot.ref.getDownloadURL();

    return url;
  }
}
