import 'package:flutter/material.dart';

class AppbarView extends StatelessWidget implements PreferredSizeWidget {
  final Widget title;
  final PreferredSizeWidget bottom;
  final List<Widget> actions;
  final Color color;

  AppbarView({
    this.title,
    this.bottom,
    this.actions,
    this.color
  });

  @override
  Size get preferredSize => Size.fromHeight(kToolbarHeight + (bottom?.preferredSize?.height ?? 0.0));

  @override
  Widget build(BuildContext context) {
    return AppBar(
      backgroundColor: color ?? Colors.green,
      title: title,
      bottom: bottom,
      actions: actions,
    );
  }
}
