import 'package:flutter/material.dart';

class TextFieldView extends StatelessWidget {
  final String label;
  final TextEditingController textEditingController;
  final Widget prefixIcon;
  final Widget suffixIcon;
  final TextCapitalization textCapitalization;
  final bool obscureText;
  final String hintText;
  final Function validator;

  TextFieldView({
    this.label,
    this.textEditingController,
    this.prefixIcon,
    this.suffixIcon,
    this.textCapitalization,
    this.obscureText,
    this.hintText,
    this.validator
  });
  
  @override
  Widget build(BuildContext context) {
    return TextFormField(
      validator: validator ?? null,
      controller: textEditingController,
      style: TextStyle(fontSize: 20),
      autofocus: true,
      decoration: InputDecoration(
        prefixIcon: prefixIcon,
        suffixIcon: suffixIcon,
        hintText: hintText,
        labelText: label,
      ),
      textCapitalization: textCapitalization ?? TextCapitalization.none,
      maxLines: 1,
      obscureText: obscureText ?? false,
    );
  }
}
